Commit 610f956f authored by Eric Engestrom's avatar Eric Engestrom

configure: EGL requirements only apply if EGL is built

Issue was hit with this configuration:
  --disable-{egl,gbm} --with-platform=drm
Signed-off-by: Eric Engestrom's avatarEric Engestrom <eric.engestrom@intel.com>
Fixes: 3208fd2e ("configure: move platform handling further up")
Reviewed-by: 's avatarEmil Velikov <emil.velikov@collabora.com>
parent fc4f6b2f
......@@ -1877,6 +1877,7 @@ for plat in $platforms; do
;;
drm)
test "x$enable_egl" = "xyes" &&
test "x$enable_gbm" = "xno" &&
AC_MSG_ERROR([EGL platform drm needs gbm])
DEFINES="$DEFINES -DHAVE_DRM_PLATFORM"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment